Hi: 
  I am trying to install wxhaskell on Ubuntu and Win7, but I failed on both systems.
Is there anyone who could solve either of my problem ?
Thank you very much!
My problem on ubuntu is as follows:

My OS is : Ubuntu 12.04 I have install GHCI 7.4.1, and cabal 1.14.0 and I try to install wxHaskell to do some GUI programming. 1) I have installed the sudo apt-get install g++ sudo apt-get install libglu-dev sudo apt-get install libwxgtk2.8-dev

2) However, when I try to install wxhaskell using : cabal install wx

I met a problem that:" Resolving dependencies... [1 of 1] Compiling Main ( /tmp/wxc-0.90.0.4-9701/wxc-0.90.0.4/Setup.hs, /tmp/wxc-0.90.0.4-9701/wxc-0.90.0.4/dist/setup/Main.o ) Linking /tmp/wxc-0.90.0.4-9701/wxc-0.90.0.4/dist/setup/setup ... Configuring wxc-0.90.0.4...

Warning: No config found to match: /usr/bin/wx-config --version=2.9 --version-full in /usr/lib/i386-linux-gnu/wx/config If you require this configuration, please install the desired library build. If this is part of an automated configuration test and no other errors occur, you may safely ignore it. You may use wx-config --list to see all configs available in the default prefix.

setup: failed cabal: Error: some packages failed to install: wx-0.90.0.1 depends on wxc-0.90.0.4 which failed to install. wxc-0.90.0.4 failed during the configure step. The exception was: ExitFailure 1 wxcore-0.90.0.3 depends on wxc-0.90.0.4 which failed to install. "






For the Win7, my problem is : cabal install wx->

Resolving dependencies...

Configuring strict-0.3.2...

Building strict-0.3.2...

Preprocessing library strict-0.3.2...

<built-in>:0:4: lexical error (UTF-8 decoding error)

cabal: Error: some packages failed to install:

strict-0.3.2 failed during the building phase. The exception was:

ExitFailure 1

wx-0.90.0.1 depends on strict-0.3.2 which failed to install.

wxc-0.90.0.4 depends on strict-0.3.2 which failed to install.

wxcore-0.90.0.3 depends on strict-0.3.2 which failed to install.

wxdirect-0.90.0.1 depends on strict-0.3.2 which failed to install.



Thanks a lot!

Best!